%define pkgname transaction-simple

Name: ruby-%pkgname
Version: 1.4.0
Release: alt1
Summary: Provide a simple way to create XML markup and data structures
License: MIT/X Consortium
Group: Development/Ruby
Url: http://rubyforge.org/projects/trans-simple/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Source: %pkgname-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch

Requires: libruby ruby-module-thread

BuildRequires(pre): rpm-build-ruby
# Automatically added by buildreq on Mon Jan 07 2008 (-bi)
BuildRequires: ruby ruby-module-etc ruby-module-test-unit ruby-tool-rdoc

%description
Transaction::Simple provides a generic way to add active transaction
support to objects. The transaction methods added by this module will work
with most objects, excluding those that cannot be Marshal-ed (bindings,
procedure objects, IO instances, or singleton objects).

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -n %pkgname-%version
%patch -p1

%build
%ruby_config
%ruby_build
ruby -rvendor-specific test/test_all.rb

%install
%ruby_install
%rdoc lib/

%files
%doc *.txt
%ruby_sitelibdir/*

%files doc
%ruby_ri_sitedir/Transaction*

%changelog
* Mon Jan 07 2008 Sir Raorn <raorn@altlinux.ru> 1.4.0-alt1
- Initial build for ALT Linux

